Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_13
Class DJAgentContext

    java.lang.Object
      |
      +--djbuch.kapitel_13.DJAgentContext

public class DJAgentContext
extends java.lang.Object

Author:
  Thomas Ekert

Constructor Summary
`DJAgentContext(java.lang.String user, Database db, Document doc)`
`DJAgentContext(java.lang.String user, Database db, Document doc, Agent agent)`

Method Summary
`Agent` | `getCurrentAgent()`
`Database` | `getCurrentDatabase()`
`Document` | `getDocumentContext()`
`java.lang.String` | `getEffectiveUserName()`
`int` | `getLastExitStatus()`
`DateTime` | `getLastRun()`
`Document` | `getSavedData()`
`DocumentCollection` | `getUnprocessedDocuments()`
`void` | `recycle()`
`void` | `recycle(java.util.Vector arg0)`
`DocumentCollection` | `unprocessedFTSearch(java.lang.String arg0, int arg1)`
`DocumentCollection` | `unprocessedFTSearch(java.lang.String arg0, int arg1, int arg2, int arg3)`
`DocumentCollection` | `unprocessedFTSearchRange(java.lang.String arg0, int arg1, int arg2)`
`DocumentCollection` | `unprocessedFTSearchRange(java.lang.String arg0, int arg1, int arg2, int arg3, int arg4)`
`DocumentCollection` | `unprocessedSearch(java.lang.String arg0, DateTime arg1, int arg2)`
`void` | `updateProcessedDoc(Document arg0)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DJAgentContext

    public DJAgentContext(java.lang.String user,
                          Database db,
                          Document doc)

### DJAgentContext

    public DJAgentContext(java.lang.String user,
                          Database db,
                          Document doc,
                          Agent agent)

Method Detail

### getEffectiveUserName

    public java.lang.String getEffectiveUserName()
                                          throws NotesException

    `NotesException`

### getCurrentDatabase

    public Database getCurrentDatabase()
                                throws NotesException

    `NotesException`

### getDocumentContext

    public Document getDocumentContext()
                                throws NotesException

    `NotesException`

### getCurrentAgent

    public Agent getCurrentAgent()
                          throws NotesException

    `NotesException`

### updateProcessedDoc

    public void updateProcessedDoc(Document arg0)
                            throws NotesException

    `NotesException`

### unprocessedFTSearch

    public DocumentCollection unprocessedFTSearch(java.lang.String arg0,
                                                  int arg1)
                                           throws NotesException

    `NotesException`

### unprocessedFTSearch

    public DocumentCollection unprocessedFTSearch(java.lang.String arg0,
                                                  int arg1,
                                                  int arg2,
                                                  int arg3)
                                           throws NotesException

    `NotesException`

### unprocessedSearch

    public DocumentCollection unprocessedSearch(java.lang.String arg0,
                                                DateTime arg1,
                                                int arg2)
                                         throws NotesException

    `NotesException`

### getLastExitStatus

    public int getLastExitStatus()
                          throws NotesException

    `NotesException`

### getLastRun

    public DateTime getLastRun()
                        throws NotesException

    `NotesException`

### getSavedData

    public Document getSavedData()
                          throws NotesException

    `NotesException`

### getUnprocessedDocuments

    public DocumentCollection getUnprocessedDocuments()
                                               throws NotesException

    `NotesException`

### recycle

    public void recycle(java.util.Vector arg0)
                 throws NotesException

    `NotesException`

### unprocessedFTSearchRange

    public DocumentCollection unprocessedFTSearchRange(java.lang.String arg0,
                                                       int arg1,
                                                       int arg2)
                                                throws NotesException

    `NotesException`

### unprocessedFTSearchRange

    public DocumentCollection unprocessedFTSearchRange(java.lang.String arg0,
                                                       int arg1,
                                                       int arg2,
                                                       int arg3,
                                                       int arg4)
                                                throws NotesException

    `NotesException`

### recycle

    public void recycle()
                 throws NotesException

    `NotesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD